Classes | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libetonyek::IWAMessage Class Reference

`#include <IWAMessage.h>`

## Classes
struct | Field

## Public Member Functions
| IWAMessage ()
| IWAMessage (const RVNGInputStreamPtr_t &input, unsigned long length)
| IWAMessage (const RVNGInputStreamPtr_t &input, long start, long end)
const IWAUInt32Field & | uint32 (std::size_t field) const
const IWAUInt64Field & | uint64 (std::size_t field) const
const IWASInt32Field & | sint32 (std::size_t field) const
const IWASInt64Field & | sint64 (std::size_t field) const
const IWABoolField & | bool_ (std::size_t field) const
const IWAFixed64Field & | fixed64 (std::size_t field) const
const IWADoubleField & | double_ (std::size_t field) const
const IWAStringField & | string (std::size_t field) const
const IWABytesField & | bytes (std::size_t field) const
const IWAMessageField & | message (std::size_t field) const
const IWAFixed32Field & | fixed32 (std::size_t field) const
const IWAFloatField & | float_ (std::size_t field) const

## Private Types
enum | WireType { WIRE_TYPE_VARINT, WIRE_TYPE_64_BIT, WIRE_TYPE_LENGTH_DELIMITED, WIRE_TYPE_32_BIT = 5 }
typedef std::pair< long, long > | InputRange_t
typedef std::map< unsigned, Field > | FieldList_t

## Private Member Functions
void | parse (unsigned long length)
template<typename FieldT >
const FieldT & | getField (std::size_t field, WireType wireType, IWAField::Tag tag) const

## Private Attributes
RVNGInputStreamPtr_t | m_input
FieldList_t | m_fields

## Member Typedef Documentation

## ◆ FieldList_t

typedef std::map<unsigned, Field> libetonyek::IWAMessage::FieldList_t
| private

## ◆ InputRange_t

typedef std::pair<long, long> libetonyek::IWAMessage::InputRange_t
| private

## Member Enumeration Documentation

## ◆ WireType

enum libetonyek::IWAMessage::WireType
| private

Enumerator
WIRE_TYPE_VARINT |
WIRE_TYPE_64_BIT |
WIRE_TYPE_LENGTH_DELIMITED |
WIRE_TYPE_32_BIT |

## Constructor & Destructor Documentation

## ◆ IWAMessage() [1/3]

libetonyek::IWAMessage::IWAMessage | ( |  | ) |

## ◆ IWAMessage() [2/3]

libetonyek::IWAMessage::IWAMessage | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned long | length
| ) |  |

## ◆ IWAMessage() [3/3]

libetonyek::IWAMessage::IWAMessage | ( | const RVNGInputStreamPtr_t & | input,
|  | long | start,
|  | long | end
| ) |  |

## Member Function Documentation

## ◆ bool_()

const IWABoolField & libetonyek::IWAMessage::bool_ | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCharacterProperties(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::parseShapePlacement(), and libetonyek::IWAParser::parseTableStyle().

## ◆ bytes()

const IWABytesField & libetonyek::IWAMessage::bytes | ( | std::size_t | field | ) | const

## ◆ double_()

const IWADoubleField & libetonyek::IWAMessage::double_ | ( | std::size_t | field | ) | const

## ◆ fixed32()

const IWAFixed32Field & libetonyek::IWAMessage::fixed32 | ( | std::size_t | field | ) | const

## ◆ fixed64()

const IWAFixed64Field & libetonyek::IWAMessage::fixed64 | ( | std::size_t | field | ) | const

## ◆ float_()

const IWAFloatField & libetonyek::IWAMessage::float_ | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCharacterProperties(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::readPadding(), libetonyek::IWAParser::readShadow(), and libetonyek::IWAParser::readStroke().

## ◆ getField()

template<typename FieldT >

const FieldT & libetonyek::IWAMessage::getField | ( | std::size_t | field,
|  | WireType | wireType,
|  | IWAField::Tag | tag
| ) |  | const
| private

## ◆ message()

const IWAMessageField & libetonyek::IWAMessage::message | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAObjectIndex::parse(), libetonyek::IWAParser::parseArrowProperties(), libetonyek::IWAParser::parseCellStyle(), libetonyek::IWAParser::parseCharacterProperties(), libetonyek::IWAParser::parseColumnsProperties(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGroup(), libetonyek::IWAParser::parseImage(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::parsePath(), libetonyek::IWAParser::parseShapePlacement(), libetonyek::KEY6Parser::parseSlideStyle(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::IWAParser::parseTableStyle(), libetonyek::IWAParser::parseTabularInfo(), libetonyek::IWAParser::readColor(), libetonyek::IWAParser::readFill(), libetonyek::IWAParser::readGradient(), libetonyek::IWAParser::readPosition(), libetonyek::IWAParser::readRef(), libetonyek::IWAParser::readRefs(), libetonyek::IWAParser::readSize(), and libetonyek::IWAParser::readStroke().

## ◆ parse()

void libetonyek::IWAMessage::parse | ( | unsigned long | length | ) |
| private

Referenced by IWAMessage().

## ◆ sint32()

const IWASInt32Field & libetonyek::IWAMessage::sint32 | ( | std::size_t | field | ) | const

## ◆ sint64()

const IWASInt64Field & libetonyek::IWAMessage::sint64 | ( | std::size_t | field | ) | const

## ◆ string()

const IWAStringField & libetonyek::IWAMessage::string | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCharacterProperties(), and libetonyek::IWAParser::parseTableStyle().

## ◆ uint32()

const IWAUInt32Field & libetonyek::IWAMessage::uint32 | ( | std::size_t | field | ) | const

Referenced by libetonyek::IWAParser::parseCellStyle(), libetonyek::IWAParser::parseCharacterProperties(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::readGradient(), and libetonyek::IWAParser::readStroke().

## ◆ uint64()

const IWAUInt64Field & libetonyek::IWAMessage::uint64 | ( | std::size_t | field | ) | const

## Member Data Documentation

## ◆ m_fields

FieldList_t libetonyek::IWAMessage::m_fields
| mutable private

Referenced by getField(), and parse().

## ◆ m_input

RVNGInputStreamPtr_t libetonyek::IWAMessage::m_input
| private

Referenced by getField(), and parse().

The documentation for this class was generated from the following files:

- IWAMessage.h
- IWAMessage.cpp